import path from 'path';
import { getRelativeUrl } from '../../utilities/file.js';
import { registerHelper } from '../../utilities/template.js';
export function registerAssetHelper(config) {
    const callback = (filename) => {
        const fullPath = path.join(config.outputDir, config.assetFolderName, filename);
        return getRelativeUrl(config, fullPath);
    };
    registerHelper('assetPath', callback);
}
export function registerThemeHelper(config) {
    const callback = (filename) => {
        const fullPath = path.join(config.outputDir, config.themeFolderName, filename);
        return getRelativeUrl(config, fullPath);
    };
    registerHelper('themePath', callback);
}
