import type { DoxicityPlugin } from 'src/utilities/types';
declare type HeadingLevel = 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
interface TableOfContentsOptions {
    target: string;
    startLevel: HeadingLevel;
    endLevel: HeadingLevel;
    within: string;
}
export default function (options: Partial<TableOfContentsOptions>): DoxicityPlugin;
export {};
