export class ConfigError extends Error {
}
export class CleanError extends Error {
}
export class AfterAllPluginError extends Error {
    constructor(pages, message) {
        super();
        this.pages = pages;
        this.message = message;
    }
}
export class AfterTransformPluginError extends Error {
    constructor(page, message) {
        super();
        this.page = page;
        this.message = message;
    }
}
export class TemplateRenderError extends Error {
    constructor(page, message) {
        super();
        this.page = page;
        this.message = message;
    }
}
export class TransformPluginError extends Error {
    constructor(page, message) {
        super();
        this.page = page;
        this.message = message;
    }
}
