export default {
    name: 'formatDate',
    callback: (date, options) => {
        const dateToFormat = date === 'now' ? new Date() : new Date(date);
        const args = (options?.hash ?? {});
        return new Intl.DateTimeFormat(args.lang ?? 'en', args).format(dateToFormat);
    }
};
