import type { DoxicityPage, DoxicityPlugin } from 'src/utilities/types';
export interface SearchResult {
    title: string;
    description: string;
    url: string;
}
interface SearchOptions {
    ignore: (page: DoxicityPage) => boolean;
    getTitle: (doc: Document) => string;
    getDescription: (doc: Document) => string;
    getHeadings: (doc: Document) => string[];
    getContent: (doc: Document) => string;
    searchDirName: string;
}
export default function (options: Partial<SearchOptions>): DoxicityPlugin;
export {};
