import type { DoxicityPage } from './types';
export declare class ConfigError extends Error {
}
export declare class CleanError extends Error {
}
export declare class AfterAllPluginError extends Error {
    pages: DoxicityPage[];
    constructor(pages: DoxicityPage[], message: string);
}
export declare class AfterTransformPluginError extends Error {
    page: DoxicityPage;
    constructor(page: DoxicityPage, message: string);
}
export declare class TemplateRenderError extends Error {
    page: DoxicityPage;
    constructor(page: DoxicityPage, message: string);
}
export declare class TransformPluginError extends Error {
    page: DoxicityPage;
    constructor(page: DoxicityPage, message: string);
}
