import path from 'path';
export function getRelativeUrl(config, fullPath) {
    return path.relative(config.outputDir, fullPath);
}
export function getHtmlFilename(config, markdownFilename) {
    const { dir, name } = path.parse(markdownFilename);
    const outDir = path.join(config.outputDir, path.relative(config.inputDir, dir));
    return path.join(outDir, `${name}.html`);
}
export function isMarkdownFile(filename) {
    return filename.toLowerCase().endsWith('.md');
}
